#include <iostream>
#include "camera_parking.h"
#include "int_test.h"
int main()
{
	setup_test();
    // logger
    ara::log::InitLogging("MAIN", "Main of camera", ara::log::LogLevel::kInfo,
                          (ara::log::LogMode::kConsole | ara::log::LogMode::kRemote));
    ara::log::Logger &mainLog{ara::log::CreateLogger("MAIN", "main context", ara::log::LogLevel::kInfo)};

    mainLog.LogInfo() << "start main!";

    unsigned int inputImageWidth = 1920;
    unsigned int inputImageHeight = 1080;
    unsigned int outputImageWidth = 960;
    unsigned int outputImageHeight = 540;
    unsigned int cropTopOffset = 60;
    unsigned int cropLeftOffset = 90;
    unsigned int encoderGopNumber = 30;

    CameraParking cameraParking;
    cameraParking.init(inputImageWidth, inputImageHeight, outputImageWidth, outputImageHeight, cropTopOffset, cropLeftOffset, encoderGopNumber);
    return 0;
}
